version: '3'

services:
  nginx:
    image: nginx:latest
    container_name: nginx
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./..:/var/www/html
      - ./nginx:/etc/nginx/conf.d
    networks:
      - app-network

  # php72:
  #   build:
  #     context: .
  #     dockerfile: php72/Dockerfile
  #   container_name: php72-fpm
  #   volumes:
  #     - ./..:/var/www/html
  #   networks:
  #     - app-network
  
  # php74:
  #   build:
  #     context: .
  #     dockerfile: php74/Dockerfile
  #   container_name: php74-fpm
  #   volumes:
  #     - ./..:/var/www/html
  #   networks:
  #     - app-network# php74:

  php81:
    build:
      context: .
      dockerfile: php81/Dockerfile
    container_name: php81-fpm
    volumes:
      - ./..:/var/www/html
    networks:
      - app-network

  mysqldb:
    container_name: mysqlASW
    image: mysql:5.7
    restart: always
    ports:
      - '3306:3306'
    environment:
      - MYSQL_ROOT_PASSWORD=root
    expose:
      - '3306'
    networks:
      - app-network

  #apache:
  #  image: 'php:5.6-apache'
  #  container_name: php
  #  restart: always
  #  ports:
  #    - '9000:9000'
  #  volumes:
  #    - /home/viniciusandrade/projetos:/var/www/html
  #  depends_on:
  #    - mysqldb
  #  links:
  #    - mysqldb

#Docker Networks
networks:
  app-network:
    driver: bridge
